/**
 * Copyright 2007 Nathanael Cottin
 */
package sds;

import java.util.concurrent.atomic.AtomicLong;

/**
 * @author ncottin
 */
final class ResponseInfo {

	private AtomicLong	count				= null;
	private boolean		requiresSignature	= false;
	private final Object lock = new Object();

	/**
	 * @return 
	 */
	public AtomicLong getCount() {
		return count;
	}
	

	/**
	 * @param count 
	 */
	public void setCount(AtomicLong count) {
		this.count = count;
	}

	public boolean setCount(Long count) {
		if (count == null) {
			return false;
		}
		
		this.count = new AtomicLong(count.longValue());
		return true;
	}

	/**
	 * @return the requiresSignature
	 */
	public boolean isSignatureRequired() {
		return requiresSignature;
	}

	/**
	 * @param requiresSignature the requiresSignature to set
	 */
	public void setSignatureRequired(boolean requiresSignature) {
		this.requiresSignature = requiresSignature;
	}

	public void lock() {
		synchronized(lock) {
			try {
				lock.wait();
			}
			catch (InterruptedException e) {
				// Forget it
			}
		}
	}
	
	public void unlock() {
		synchronized(lock) {
			lock.notify();
		}
	}
}
