/**
 * Copyright 2007 Nathanael Cottin
 */
package sds;

import java.io.Serializable;

/**
 * <p>
 * Top-level envelope transmitted between distributed objects
 * </p>
 * 
 * @author ncottin
 */
final class SecureMessageFormat implements Serializable {

	private byte[]		signatureValue	= null;
	private SignedData	tbsData			= null;

	/**
	 * @return the signatureValue
	 */
	public final byte[] getSignatureValue() {
		return signatureValue;
	}

	/**
	 * @param signatureValue the signatureValue to set
	 */
	public final void setSignatureValue(byte[] signatureValue) {
		this.signatureValue = signatureValue;
	}

	/**
	 * @return the tbsData
	 */
	public final SignedData getTbsData() {
		return tbsData;
	}

	/**
	 * @param tbsData the tbsData to set
	 */
	public final void setTbsData(SignedData tbsData) {
		this.tbsData = tbsData;
	}
}
