/**
 * Copyright 2007 Nathanael Cottin
 */
package sds.more;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.StringTokenizer;

/**
 * 
 */

/**
 * @author ncottin
 * 
 */
public final class Network {

	public static final String	LOCALHOST_NAME	= "localhost";
	public static final String	LOCALHOST_IP	= "127.0.0.1";

	public static String getIpAddress() {
		try {
			InetAddress address = InetAddress.getLocalHost();
			return address.getHostAddress();
		}
		catch (UnknownHostException e) {
			return LOCALHOST_IP;
		}
	}

	public static String getHostName() {
		try {
			InetAddress address = InetAddress.getLocalHost();
			return address.getHostName();
		}
		catch (UnknownHostException e) {
			return LOCALHOST_NAME;
		}
	}

	public static int[] parseAddress(String ipValue) {
		StringTokenizer st = new StringTokenizer(ipValue, ".");
		int nbComponents = st.countTokens();
		int[] components = new int[nbComponents];
		String current = null;
		for (int i = 0; i < nbComponents; i++) {
			current = st.nextToken();
			components[i] = Integer.valueOf(current).intValue();
		}

		return components;
	}

	public static String parseAddress(int[] ipValue) {
		if (ipValue == null) {
			return null;
		}

		StringBuffer sb = new StringBuffer();
		sb.append(ipValue[0]);
		for (int i = 1; i < ipValue.length; i++) {
			sb.append('.');
			sb.append(ipValue[i]);
		}

		return sb.toString();
	}
}
