/**
 * Copyright 2007 Nathanael Cottin
 */
package sds.service;

import java.io.Serializable;

/**
 * @author ncottin
 * 
 */
final class ClassData implements Serializable {

	private final String	name;
	private final int		nbInstances;
	private final byte[]	bytecode;

	public ClassData(String name, int nbInstances, byte[] bytecode) {
		this.name = name;
		this.nbInstances = nbInstances;
		this.bytecode = bytecode;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return the nbInstances
	 */
	public int getNbInstances() {
		return nbInstances;
	}

	/**
	 * @return the bytecode
	 */
	public byte[] getByteCode() {
		return bytecode;
	}
}
