/**
 * Copyright 2007 Nathanael Cottin
 */
package sds.service;

import java.io.Serializable;
import java.util.Collection;

import sds.DistributedObject;
import sds.data.Reference;

/**
 * @author ncottin
 */
final class ReferencedObject implements Serializable {

	private Class<? extends DistributedObject>	id			= null;
	private Collection<Reference>				references	= null;

	/**
	 * @return the id
	 */
	public Class<? extends DistributedObject> getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Class<? extends DistributedObject> id) {
		this.id = id;
	}

	/**
	 * @return the references
	 */
	public Collection<Reference> getReferences() {
		return references;
	}

	/**
	 * @param references the reference to set
	 */
	public void setReferences(Collection<Reference> references) {
		this.references = references;
	}

	public boolean isInitialized() {
		return (id != null) && (references != null);
	}
}
